aboutsummaryrefslogtreecommitdiff
path: root/scripts/install-nix-from-closure.sh
diff options
context:
space:
mode:
authorDaiderd Jordan <daiderd@gmail.com>2020-03-07 12:01:40 +0100
committerDaiderd Jordan <daiderd@gmail.com>2020-05-21 19:58:11 +0200
commit04f597c3f4d0ac8b8a677c798642329a5a6768e3 (patch)
tree2da9bafe7ee0479996ca1368379322c049adb894 /scripts/install-nix-from-closure.sh
parentcaface1980344347f2a50701ec133e98e6094c8c (diff)
install: improve output and error handling
Diffstat (limited to 'scripts/install-nix-from-closure.sh')
-rw-r--r--scripts/install-nix-from-closure.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/scripts/install-nix-from-closure.sh b/scripts/install-nix-from-closure.sh
index 7d32bf92e..2f291ed4c 100644
--- a/scripts/install-nix-from-closure.sh
+++ b/scripts/install-nix-from-closure.sh
@@ -82,7 +82,7 @@ while [ $# -gt 0 ]; do
echo " --create-volume: Create an APFS volume for the store and create the /nix"
echo " mountpoint for it using synthetic.conf."
echo " (required on macOS >=10.15)"
- echo " See https://nixos.org/nix/manual/#sect-darwin-apfs-volume"
+ echo " See https://nixos.org/nix/manual/#sect-apfs-volume-installation"
echo ""
) >&2
fi
@@ -102,10 +102,11 @@ if [ "$(uname -s)" = "Darwin" ]; then
(
echo ""
echo "Installing on macOS >=10.15 requires relocating the store to an apfs volume."
- echo "Use --create-volume or run the preparation steps manually."
- echo "See https://nixos.org/nix/manual/#sect-darwin-apfs-volume."
+ echo "Use sh <(curl https://nixos.org/nix/install) --create-volume or run the preparation steps manually."
+ echo "See https://nixos.org/nix/manual/#sect-apfs-volume-installation"
echo ""
) >&2
+ exit 1
fi
fi